Bug 501099 - (perl-XML-Feed) Review Request: perl-XML-Feed - Syndication feed parser and auto-discovery
Review Request: perl-XML-Feed - Syndication feed parser and auto-discovery
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/XML-Feed/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 03:03 EDT by Iain Arnell
Modified: 2009-05-27 15:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.43-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 15:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-16 03:03:06 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-XML-Feed.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-XML-Feed-0.43-1.fc12.src.rpm

Description:
XML::Feed is a syndication feed parser for both RSS and Atom feeds. It also
implements feed auto-discovery for finding feeds, given a URI.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1357657

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-18 00:33:07 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1357657
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
04d0c175f9bbabc8ba8373d2d6b6ed338bacaab2  XML-Feed-0.43.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=21, Tests=378,  7 wallclock secs ( 0.10 usr  0.04 sys +  6.04 cusr  0.63 csys =  6.81 CPU)
+ Packageperl-XML-Feed-0.43-1.fc12.noarch  =>
 Provides: perl(XML::Feed) = 0.43 perl(XML::Feed::Content) perl(XML::Feed::Enclosure) perl(XML::Feed::Entry) perl(XML::Feed::Entry::Format::Atom) perl(XML::Feed::Entry::Format::RSS) perl(XML::Feed::Format::Atom) perl(XML::Feed::Format::RSS)
Requires: perl(Carp) perl(DateTime::Format::Mail) perl(DateTime::Format::W3CDTF) perl(Feed::Find) perl(LWP::UserAgent) perl(List::Util) perl(Module::Pluggable) perl(Scalar::Util) perl(URI::Fetch) perl(XML::Atom::Content) perl(XML::Atom::Entry) perl(XML::Atom::Feed) perl(XML::Atom::Util) perl(XML::Feed::Content) perl(base) perl(strict)
+ Not a GUI application

APPROVED.
Comment 2 Iain Arnell 2009-05-18 12:20:28 EDT
New Package CVS Request
=======================
Package Name: perl-XML-Feed
Short Description: Syndication feed parser and auto-discovery
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-18 19:46:47 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-19 00:39:43 EDT
built in rawhide - waiting for perl-XML-Atom to go stable on branches.
Comment 5 Fedora Update System 2009-05-19 23:24:50 EDT
perl-XML-Feed-0.43-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-XML-Feed-0.43-1.fc11
Comment 6 Fedora Update System 2009-05-19 23:24:55 EDT
perl-XML-Feed-0.43-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-XML-Feed-0.43-1.fc10
Comment 7 Fedora Update System 2009-05-20 19:52:38 EDT
perl-XML-Feed-0.43-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-XML-Feed'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5229
Comment 8 Fedora Update System 2009-05-20 19:54:44 EDT
perl-XML-Feed-0.43-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-XML-Feed'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5240
Comment 9 Fedora Update System 2009-05-27 15:04:06 EDT
perl-XML-Feed-0.43-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-27 15:04:30 EDT
perl-XML-Feed-0.43-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.